---
title: RTCRtpSender.transport
slug: Web/API/RTCRtpSender/transport
tags:
  - API
  - Connectivity
  - DTLS
  - Networking
  - Property
  - RTCP
  - RTCRtpSender
  - RTP
  - Reference
  - Transport
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - sender
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p>The read-only <code><strong>transport</strong></code> property of an {{domxref("RTCRtpSender")}} object provides the {{domxref("RTCDtlsTransport")}} object used to interact with the underlying transport over which the sender is exchanging Real-time Transport Control Protocol ({{Glossary("RTCP")}}) packets.</p>

<p>This transport is responsible for receiving the data for the media on the sender's {{domxref("RTCRtpReceiver.track", "track")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>transport</em> = <em>rtcRtpSender</em>.transport;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("RTCDtlsTransport")}} object representing the underlying transport being used by the sender to exchange packets with the remote peer, or <code>null</code> if the sender isn't yet connected to a transport.</p>

<h2 id="Description">Description</h2>

<p>When the <code>RTCRtpSender</code> is first created, the value of <code>transport</code> is <code>null</code>. This is replaced with an <code>RTCDtlsTransport</code> once the sender's transport has been established.</p>

<p>Note that when bundling is in effect—that is, when the {{domxref("RTCPeerConnection")}} was created with an {{domxref("RTCConfiguration")}} object whose {{domxref("RTCConfiguration.bundlePolicy", "bundlePolicy")}} is <code>max-compat</code> or <code>max-bundle</code>—multiple senders may be sharing the same transport; in this case, all of them are using the same connection to transmit and/or receive {{Glossary("RTP")}} and {{Glossary("RTCP")}} packets.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcrtpsender-transport", "RTCRtpSender.transport")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpSender.transport")}}</p>
</div>
